# typed: true

class Domain::PostGroupsController < DomainController
  extend T::Sig
  extend T::Helpers

  skip_before_action :authenticate_user!, only: %i[show]
  before_action :set_post_group!, only: %i[show]

  # GET /pools/:id
  sig(:final) { void }
  def show
    authorize @post_group
  end

  private

  sig { override.returns(DomainController::DomainParamConfig) }
  def self.param_config
    DomainController::DomainParamConfig.new(
      post_group_id_param: :id,
      post_id_param: :domain_post_id,
      user_id_param: :domain_user_id,
    )
  end
end
